models/Blog.php
<?php

namespace app\models;

use yii\db\ActiveRecord;
use Yii;

class Blog extends ActiveRecord
{
    public function behaviors()
    {
        return [
            'image' => [
                'class' => 'rico\yii2images\behaviors\ImageBehave',
            ]
        ];
    }

    public function getBlogDescriptions()
    {
        return $this->hasOne(BlogDescription::class, ['blog_id' => 'blog_id']);
    }

//    public static function getBlogQueryBySeoUrl($seoUrl)
//    {
//        return Blog::find()
//            ->joinWith([
//                'blogDescriptions as bd' => function ($query) {
//                    $query->onCondition(['bd.language_id' => 1]);
//                }
//            ])
//            ->where(['seo_url' => $seoUrl])->limit(1);
//    }
    public static function getBlogQueryById($blog_id)
    {
        return Blog::find()
            ->joinWith([
                'blogDescriptions as bd' => function ($query) {
                    $query->onCondition(['bd.language_id' => Yii::$app->language]);
                }
            ])
            ->where('blog.blog_id=:blog_id', [':blog_id' => $blog_id])->limit(1);
    }

    public static function getBlogs()
    {
        return Blog::find()
            ->joinWith([
                'blogDescriptions as bd' => function ($query) {
                    $query->onCondition(['bd.language_id' => Yii::$app->language]);
                }
            ])
            ->where(['blog.status' => 1]);
    }

}

controllers/BlogController.php
<?php
/**
 * Created by PhpStorm.
 * User: oleg-d
 * Date: 13.05.18
 * Time: 17:16
 */

namespace app\controllers;

use app\models\Blog;
use app\models\Category;
use app\models\Product;
use app\models\Cart;
use Yii;
use yii\data\Pagination;
use yii\web\Controller;
use yii\widgets\Breadcrumbs;
use app\models\CallUsForm;
use app\models\SearchForm;

class BlogController extends Controller
{

    public function actionIndex()
    {

        $this->view->params['modelSearchForm'] = new SearchForm();
        $this->view->title = 'Matrasovish.com.ua | Блог';
        $this->view->registerMetaTag(['name' => 'description', 'content' => 'Блог. Новости. Интернет-магазин Matrasovich.com.ua']);
        $this->view->registerMetaTag(['name' => 'keywords', 'content' => 'Новости, блог, Matrasovich.com.ua']);
        $this->view->registerMetaTag(['name' => 'robots', 'content' => 'index,follow']);

        $data = [];

        $sortOrder = 'date_added DESC';
        $blogsQuery = Blog::getBlogs();
        $pages = new Pagination(['totalCount' => $blogsQuery->count(), 'pageSize' => 12]);
        $pages->pageSizeParam = false;

        $data['blogs'] = $blogsQuery->offset($pages->offset)->orderBy($sortOrder)->limit($pages->limit)->all();
        $data['pages'] = $pages;

        return $this->render('index', $data);
    }

    public function actionView()
    {

        $this->view->params['modelSearchForm'] = new SearchForm();

        $data = [];

        $get = Yii::$app->request->get();

//        $blogQuery = Blog::getBlogQueryBySeoUrl($get['blog']);
        $blogQuery = Blog::getBlogQueryById($get['blog_id']);
        $data['blog'] = $blogQuery->one();

        $this->view->title = $data['blog']->blogDescriptions->title;
        $this->view->registerMetaTag(['name' => 'description', 'content' => $data['blog']->blogDescriptions->description . ' - Блог. Интернет-магазин Matrasovich.com.ua']);
        $this->view->registerMetaTag(['name' => 'keywords', 'content' => $data['blog']->blogDescriptions->keywords]);
        $this->view->registerMetaTag(['name' => 'robots', 'content' => 'index,follow']);

        $links = [];
        $links[] = ['label' => 'Блог', 'url' => ['blog/index']];
        $links[] = $data['blog']->blogDescriptions->name;

        $data['breadcrumbs'] = Breadcrumbs::widget([
            'options' => ['class' => 'breadcrumb'],
            'itemTemplate' => "<li>{link}</li>\n",
            'links' => $links,
        ]);

        $data['images'] = $data['blog']->getImages();
        $data['imagesCount'] = count($data['images']);

        return $this->render('view', $data);
    }

}

views/blog/index.php
<?php

use yii\helpers\Url;
use app\assets\AppAsset;
use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

?>

<section class="container content section">
    <header><h1 class="title">Блог</h1></header>
    <?php if ((int)$pages->totalCount > $pages->pageSize): ?>
        <nav class="level has-background-white-bis" style="padding: 0.5em 0.75em;">
            <div class="level-left"></div>
            <div class="level-right">
                <div class="level-item">
                    <?= \yii\widgets\LinkPager::widget(['pagination' => $pages, 'prevPageLabel' => '<', 'nextPageLabel' => '>']); ?>
                </div>
            </div>
        </nav>
    <?php endif; ?>
    <div class="columns is-multiline">
        <?php foreach ($blogs as $blog): ?>
            <article class="column is-half-tablet is-one-quarter-desktop">
                <div class="card">
                    <div class="card-image">
                        <a href="<?= Url::to(["blog/view", 'blog_id' => $blog->blog_id, 's1' => $blog->seo_url, 's2' => 'b']) ?>"
                           title="<?= $blog->blogDescriptions->name ?>">
                            <figure class="image">
                                <?= Html::img("/{$blog->getImage()->getPath('300x300')}", ['alt' => $blog->blogDescriptions->name]) ?>
                            </figure>
                        </a>
                    </div>
                    <div class="card-content has-text-centered">
                        <a class="title"
                           href="<?= Url::to(["blog/view", 'blog_id' => $blog->blog_id, 's1' => $blog->seo_url, 's2' => 'b']) ?>">
                            <?= $blog->blogDescriptions->name ?></a>
                    </div>
                    <footer class="card-footer">
                        <p class="card-footer-item subtitle">
                            <?= Yii::$app->formatter->format($blog->date_added, 'date'); ?>
                        </p>
                    </footer>
                </div>
            </article>
        <?php endforeach; ?>
    </div>
</section>

views/blog/view.php
<?php

use yii\helpers\Url;
use app\assets\AppAsset;
use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

?>
<div id="breadcrumbs">
    <div class="container is-size-6">
        <?= $breadcrumbs ?>
    </div>
</div>

<section class="section">
    <div class="container">
        <h1 class="title"><?= $blog->blogDescriptions->name ?></h1>
        <div class="content is-clearfix">
            <?= \yii\helpers\Html::decode($blog->blogDescriptions->text) ?>
        </div>
    </div>
</section>